### Method

# Shell App launch_action

#### Declaration [src]

    void
    shell_app_launch_action (
      ShellApp* app,
      const char* action_name,
      guint timestamp,
      int workspace
    )

#### Description

No description available.

#### Parameters

`action_name`

  Type: `const char*`

  The name of the action to launch (as obtained by g_desktop_app_info_list_actions()).

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`timestamp`

  Type: `guint`

  Event timestamp, or 0 for current event timestamp.

`workspace`

  Type: `int`

  Start on this workspace, or -1 for default.